<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: DMXPackage Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structDMXPackage.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">DMXPackage Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A struct to hold processed dmx-information.  
 <a href="structDMXPackage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="dmx__framework_8hpp_source.html">dmx_framework.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for DMXPackage:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="structDMXPackage__coll__graph.svg" width="358" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a38546526ad51ed8af7e3163510cdd2b0"><td class="memItemLeft" align="right" valign="top">std::array&lt; uint8_t, 512 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDMXPackage.html#a38546526ad51ed8af7e3163510cdd2b0">channels</a></td></tr>
<tr class="separator:a38546526ad51ed8af7e3163510cdd2b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a758e626a8247c8b2fc584f9914638a87"><td class="memItemLeft" align="right" valign="top">std::array&lt; bool, 512 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDMXPackage.html#a758e626a8247c8b2fc584f9914638a87">is_new</a></td></tr>
<tr class="separator:a758e626a8247c8b2fc584f9914638a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dd7d6d06654fa9769543412f1ca28fc"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDMXPackage.html#a4dd7d6d06654fa9769543412f1ca28fc">length</a> {}</td></tr>
<tr class="separator:a4dd7d6d06654fa9769543412f1ca28fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A struct to hold processed dmx-information. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a38546526ad51ed8af7e3163510cdd2b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38546526ad51ed8af7e3163510cdd2b0">&#9670;&nbsp;</a></span>channels</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DMXPackage::channels</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Array of channel-values </p>

</div>
</div>
<a id="a758e626a8247c8b2fc584f9914638a87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a758e626a8247c8b2fc584f9914638a87">&#9670;&nbsp;</a></span>is_new</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DMXPackage::is_new</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Includes the information for each channel, if the value changed in comparison to the last dmx-frame </p>

</div>
</div>
<a id="a4dd7d6d06654fa9769543412f1ca28fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dd7d6d06654fa9769543412f1ca28fc">&#9670;&nbsp;</a></span>length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DMXPackage::length {}</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Used length of channel-array, depends on configured footprint-size </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="dmx__framework_8hpp_source.html">dmx_framework.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structDMXPackage.html">DMXPackage</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
